io.vertx.rxjava3.ext.web.handler

## Class WebAuthnHandler

- java.lang.Object
- - io.vertx.rxjava3.ext.web.handler.WebAuthnHandler

- All Implemented Interfaces:
    Handler<RoutingContext>, AuthenticationHandler

      public class WebAuthnHandler
      extends Object
      implements AuthenticationHandler, Handler<RoutingContext>

  An auth handler that provides FIDO2 WebAuthN Relay Party support.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<WebAuthnHandler>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebAuthnHandler(Object delegate)`
    `WebAuthnHandler(WebAuthnHandler delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static WebAuthnHandler` | `create(WebAuthn webAuthn)` Create a WebAuthN auth handler.
    `boolean` | `equals(Object o)`
    `WebAuthnHandler` | `getDelegate()`
    `void` | `handle(RoutingContext event)` Something has happened, so handle it.
    `int` | `hashCode()`
    `static WebAuthnHandler` | `newInstance(WebAuthnHandler arg)`
    `WebAuthnHandler` | `setOrigin(String origin)` Set the Origin to be validated by the webauthn object.
    `WebAuthnHandler` | `setupCallback(Route route)` The callback route to verify attestations and assertions.
    `WebAuthnHandler` | `setupCredentialsCreateCallback(Route route)` The callback route to create registration attestations.
    `WebAuthnHandler` | `setupCredentialsGetCallback(Route route)` The callback route to create login attestations.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface io.vertx.rxjava3.ext.web.handler.AuthenticationHandler

      `newInstance`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<WebAuthnHandler> __TYPE_ARG

  - ### Constructor Detail

    - #### WebAuthnHandler

          public WebAuthnHandler(WebAuthnHandler delegate)

    - #### WebAuthnHandler

          public WebAuthnHandler(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public WebAuthnHandler getDelegate()

      Specified by:
        `getDelegate` in interface `AuthenticationHandler`

    - #### handle

          public void handle(RoutingContext event)

      Something has happened, so handle it.
      Specified by:
        `handle` in interface `Handler<RoutingContext>`
      Specified by:
        `handle` in interface `AuthenticationHandler`
      Parameters:
        `event` - the event to handle

    - #### create

          public static WebAuthnHandler create(WebAuthn webAuthn)

      Create a WebAuthN auth handler. This handler expects at least the response callback to be installed.
      Parameters:
        `webAuthn` -
      Returns:
        the auth handler

    - #### setupCredentialsCreateCallback

          public WebAuthnHandler setupCredentialsCreateCallback(Route route)

      The callback route to create registration attestations. Usually this route is

          /webauthn/register

      Parameters:
        `route` - the route where credential get options are generated.
      Returns:
        fluent self.

    - #### setupCredentialsGetCallback

          public WebAuthnHandler setupCredentialsGetCallback(Route route)

      The callback route to create login attestations. Usually this route is

          /webauthn/login

      Parameters:
        `route` - the route where credential get options are generated.
      Returns:
        fluent self.

    - #### setupCallback

          public WebAuthnHandler setupCallback(Route route)

      The callback route to verify attestations and assertions. Usually this route is

          /webauthn/response

      Parameters:
        `route` - the route where assertions and attestations are verified.
      Returns:
        fluent self.

    - #### setOrigin

          public WebAuthnHandler setOrigin(String origin)

      Set the Origin to be validated by the webauthn object.
      Parameters:
        `origin` - - an HTTP Origin
      Returns:
        fluent self

    - #### newInstance

          public static WebAuthnHandler newInstance(WebAuthnHandler arg)

Copyright © 2024 Eclipse. All rights reserved.